Rename namespace module to Malayalam in Malayalam language wikis
Closed, ResolvedPublic

Description

Please rename namespace "Module" to Malayalam in Malayalam language wikis.

Module = ഘടകം
Module talk = ഘടകത്തിന്റെ_സംവാദം

And also put these aliases: 'Module' and 'Module_talk' themselves and 'ഘ' (for Module) 'ഘസം' (for Module talk) as short aliases.

Community notification: https://ml.wikipedia.org/wiki/?oldid=1838664#Module_Namespace

Wikis:
ml.wiktionary.org
ml.wikiquote.org
ml.wikisource.org
ml.wikibooks.org
ml.wikipedia.org

Details

Reference
bz54951
bzimport raised the priority of this task from to Lowest.
bzimport set Reference to bz54951.
bzimport added a subscriber: Unknown Object (MLST).
Praveenp created this task.Oct 4 2013, 2:25 AM
TTO added a comment.Oct 4 2013, 7:31 AM

The name of the "Module" namespace needs to be fixed in the Scribunto software itself, and that could take some time.

The aliases can be added separately.

Change 87515 had a related patch set uploaded by TTO:
Add namespace names for Malayalam (ml)

https://gerrit.wikimedia.org/r/87515

TTO added a comment.Oct 4 2013, 7:40 AM

As for the aliases:

  • Module and Module talk will work by default, no need to do anything for them;
  • ഘ and ഘസം: you would need to seek community consensus for these aliases on each Malayalam wiki, as this is an issue for each community.

Change 87515 merged by jenkins-bot:
Add namespace names for Malayalam (ml)

https://gerrit.wikimedia.org/r/87515

TTO added a comment.Oct 4 2013, 10:15 AM

Thanks Siebrand for the quick service :)

This is now a shellpolicy site request issue regarding the namespace alias.

(In reply to comment #5)

Thanks Siebrand for the quick service :)

This is now a shellpolicy site request issue regarding the namespace alias.

It's advisable to not make multiple change requests in a single ticket.

Since some ml.wiki communities are significantly small, Malayalam Wikipedia and Wikimedia Malayalam mailing list generally act as the main discussion platforms. Though I didn't share this information through public mailing list, I shared this translation few weeks before, to Admin mailing list where Admins from all the projects share their ideas and got no objections.

So If possible add these short aliases (ഘ -> Module, ഘസം -> Module talk) to all ml.wiki projects.

There are two methods of solving this request that I can think of:

#1: Add the two aliases for each Malayalam project inside operations/mediawiki-config/wmf-config/InitialiseSettings.php (easy but laborious and inelegant);

#2: Add the two aliases for all MediaWiki projects inside core/languages/messages/MessagesMl.php (easy and elegant, but requires vetting from Siebrand or Santhosh, since no languages at the moment use aliases for NS_MODULE or NS_MODULE_TALK).

I'm not aware of any methods to add aliases inside the Scribunto extension itself at the moment, but if there is one, please let me know (and document it if possible).

@siebrand, @santhosh: Do you guys see any reason not do #2? I'm really loath to add so many aliases into InitialiseSettings.php...

(In reply to comment #8)

I'm not aware of any methods to add aliases inside the Scribunto extension
itself at the moment, but if there is one, please let me know

In Scribunto.namespaces.php, add

$namespaceAliases = array();
$namespaceAliases['ml'] = array(
'ഘ' => 828,
'ഘസം' => 829,
);

Thanks, Santhosh; will do.

Change 95637 had a related patch set uploaded by Odder:
(bug 54951) Add Malayalam aliases for 828 and 829

https://gerrit.wikimedia.org/r/95637

Change 95637 merged by jenkins-bot:
(bug 54951) Add Malayalam aliases for 828 and 829

https://gerrit.wikimedia.org/r/95637

Change 100801 had a related patch set uploaded by Reedy:
Revert "(bug 54951) Add Malayalam aliases for 828 and 829"

https://gerrit.wikimedia.org/r/100801

Gerrit change 95637 caused bug 58074 and has been reverted. $namespaceAliases in an i18n file is not merged like $namespaceNames is.

Change 100804 had a related patch set uploaded by Reedy:
Revert "(bug 54951) Add Malayalam aliases for 828 and 829"

https://gerrit.wikimedia.org/r/100804

Change 100805 had a related patch set uploaded by Reedy:
Revert "(bug 54951) Add Malayalam aliases for 828 and 829"

https://gerrit.wikimedia.org/r/100805

Change 100804 merged by jenkins-bot:
Revert "(bug 54951) Add Malayalam aliases for 828 and 829"

https://gerrit.wikimedia.org/r/100804

Change 100805 merged by jenkins-bot:
Revert "(bug 54951) Add Malayalam aliases for 828 and 829"

https://gerrit.wikimedia.org/r/100805

Not helpful, Gerrit bot.

Change 100801 merged by jenkins-bot:
Revert "(bug 54951) Add Malayalam aliases for 828 and 829"

https://gerrit.wikimedia.org/r/100801

TTO added a comment.Dec 13 2013, 11:29 AM

(In reply to comment #8)

#1: Add the two aliases for each Malayalam project inside
operations/mediawiki-config/wmf-config/InitialiseSettings.php (easy but
laborious and inelegant);

I think we're at a point where this looks like the best option to resolve this issue.

Change 101889 had a related patch set uploaded by Odder:
Add Malayalam aliases for NS_MODULE, NS_MODULE_TALK

https://gerrit.wikimedia.org/r/101889

mails2vichu wrote:

this one fixed?

(In reply to comment #23)

this one fixed?

No. Odder's patch is still awaiting review. Bugs are only "fixed" once someone has reviewed the patch (Specificly someone with +2 rights). That said someone has already submitted a potential fix, so there's nothing that you can fix on this bug, as someone has already done that.

(In reply to Gerrit Notification Bot from comment #22)

Change 101889 had a related patch set uploaded by Odder:
Add Malayalam aliases for NS_MODULE, NS_MODULE_TALK

https://gerrit.wikimedia.org/r/101889

Still awaiting review...

Change 101889 abandoned by Odder:
Add Malayalam aliases for NS_MODULE, NS_MODULE_TALK

https://gerrit.wikimedia.org/r/101889

Krenair changed the task status from Open to Stalled.Jul 20 2015, 3:22 AM
Krenair added a subscriber: Krenair.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 20 2015, 3:22 AM

We already have at Scribunto.namespaces the following:

$namespaceNames['ml'] = array(
	828 => 'ഘടകം',
	829 => 'ഘടകത്തിന്റെ_സംവാദം',
);

Anything more we can do here?

Krenair set Security to None.
Krenair added a project: I18n.
TTO added a comment.Sep 6 2015, 10:59 PM

Anything more we can do here?

The part of the task requesting aliases hasn't been fulfilled:

And also put these aliases: 'Module' and 'Module_talk' themselves and 'ഘ' (for Module) 'ഘസം' (for Module talk) as short aliases.

Pending resolution of T108427: Allow namespace aliases to be defined in extension i18n

MarcoAurelio removed MarcoAurelio as the assignee of this task.Sep 9 2015, 8:39 AM
MarcoAurelio added a subscriber: MarcoAurelio.
MarcoAurelio changed the task status from Stalled to Open.Feb 7 2017, 11:16 AM
  • WRT to English names, I don't think we need to add them as they should work w/o duplicating them.
  • WRT to Malayalam aliases and now that the task is resolved we can do it, but I'm not sure where to add them. I was thinking on InitialiseSettings.php as this is Wikimedia-specific, but I'm not sure.
MarcoAurelio updated the task description. (Show Details)Feb 7 2017, 11:17 AM
MarcoAurelio removed a subscriber: wikibugs-l-list.
MarcoAurelio moved this task from Backlog to Working on on the Wikimedia-Site-requests board.
MarcoAurelio claimed this task.

After a quick chat with @TTO we think that what is requested here is to add this aliases as project-specific ones, like those of WP -> NS_PROJECT ones which don't need to be shipped with the extension altogether. As such, I'll add this to InitialiseSettings.php. On it.

Change 336397 had a related patch set uploaded (by MarcoAurelio):
Short aliases for Module/Module_talk for Malayalam Wikimedia projects

https://gerrit.wikimedia.org/r/336397

Anomie removed a subscriber: Anomie.Feb 7 2017, 1:57 PM

Scheduled for today's Morning SWAT.

Change 336397 merged by jenkins-bot:
Short aliases for Module/Module_talk for Malayalam Wikimedia projects

https://gerrit.wikimedia.org/r/336397

Mentioned in SAL (#wikimedia-operations) [2017-02-08T19:29:28Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Namespace configuration for ml. projects (T56951) (duration: 00m 41s)

MarcoAurelio closed this task as Resolved.Feb 8 2017, 7:30 PM
MarcoAurelio moved this task from To deploy to Done on the Wikimedia-Site-requests board.
MarcoAurelio removed a project: Patch-For-Review.
MarcoAurelio raised the priority of this task from Lowest to Low.

Done.